<template>
  <section class="flex flex-col items-center py-20 w-11/12 md:w-4/5 mx-auto">
    <p class="text-3xl font-bold text-black-400">TRACKING</p>
    <input
      id="search-bar"
      class="
        h-16
        px-10
        py-2
        mt-5
        text-base
        font-medium
        rounded
        shadow-md
        appearance-none
        w-full
        md:w-6/12
        text-black-300
        focus:outline-none focus:shadow-outline
      "
      type="text"
      name="serch"
      value="SHP5062746186"
      style="border-radius: 9999px"
    />
    <button
      type="submit"
      class="
        px-16
        py-4
        mt-5
        text-base text-white
        bg-blue-400
        rounded-full
        shadow-md
        focus:outline-none
      "
    >
      FIND
    </button>
    <div
      id="result"
      class="
        p-5
        mt-5
        bg-white
        rounded-lg
        shadow-md
        md:w-8/12
        lg:w-6/12
        text-black-400 text-tiny
      "
    >
      <div class="flex justify-between">
        <span>Tracking number</span>
        <span class="font-bold">{{ mock_tracking.tracking_no }}</span>
      </div>
      <div
        id="line"
        style="border-bottom: 1px solid #dedede"
        class="w-full mt-5"
      ></div>
      <div class="flex justify-between" id="wrapper">
        <div id="shiping">
          <div v-for="(track, index) in mock_tracking.shiping" :key="index">
            <p class="mt-5 text-black-200">{{ track.date }}</p>
            <div class="flex items-center mt-2">
              <div
                class="rounded-full min-w-14px h-14px"
                :style="{
                  backgroundColor: track.is_active ? '#4CCB9E' : '#B3B3B3',
                }"
              ></div>
              <p class="ml-3">{{ track.detail }}</p>
            </div>
          </div>
        </div>
        <div class="hidden md:block flex items-end">
          <img :src="tracking_img" />
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  data() {
    return {
      tracking_img: require("~/assets/images/tracking_img.svg"),
      mock_tracking: {
        tracking_no: "SHP5062746186",
        shiping: [
          {
            date: "08/05/2020",
            detail: "The parcel has been delivered successfully.",
            is_active: true,
          },
          {
            date: "08/05/2020",
            detail: "Parcel to the center.",
            is_active: false,
          },
        ],
      },
    }
  },
}
</script>

<style lang="scss" scoped></style>
